# Interface methods for submodule: ImageSeriesReader
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: ImageSeriesReader
class ImageSeriesReaderProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFileNames(self, name) -> None:
		""""""
		...

	def GetFileNames(self):
		""""""
		...

	def SetFileName(self, name: str) -> None:
		""""""
		...

	def AddFileName(self, name: str) -> None:
		""""""
		...

	def SetReverseOrder(self, _arg: bool) -> None:
		""""""
		...

	def GetReverseOrder(self) -> bool:
		""""""
		...

	def ReverseOrderOn(self) -> None:
		""""""
		...

	def ReverseOrderOff(self) -> None:
		""""""
		...

	def SetForceOrthogonalDirection(self, _arg: bool) -> None:
		""""""
		...

	def GetForceOrthogonalDirection(self) -> bool:
		""""""
		...

	def ForceOrthogonalDirectionOn(self) -> None:
		""""""
		...

	def ForceOrthogonalDirectionOff(self) -> None:
		""""""
		...

	def SetImageIO(self, _arg) -> None:
		""""""
		...

	def GetModifiableImageIO(self):
		""""""
		...

	def GetImageIO(self):
		""""""
		...

	def SetMetaDataDictionaryArrayUpdate(self, _arg: bool) -> None:
		""""""
		...

	def GetMetaDataDictionaryArrayUpdate(self) -> bool:
		""""""
		...

	def MetaDataDictionaryArrayUpdateOn(self) -> None:
		""""""
		...

	def MetaDataDictionaryArrayUpdateOff(self) -> None:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def EnlargeOutputRequestedRegion(self, output) -> None:
		""""""
		...

	def GetMetaDataDictionaryArray(self):
		""""""
		...

	def SetUseStreaming(self, _arg: bool) -> None:
		""""""
		...

	def GetUseStreaming(self) -> bool:
		""""""
		...

	def UseStreamingOn(self) -> None:
		""""""
		...

	def UseStreamingOff(self) -> None:
		""""""
		...

	def SetSpacingWarningRelThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetSpacingWarningRelThreshold(self) -> float:
		""""""
		...

